package bg.tusofia.fksu.soa.examples.corba.client;

import org.omg.CORBA.ORB;
import org.omg.CosNaming.NamingContextExt;
import org.omg.CosNaming.NamingContextExtHelper;

import bg.tusofia.fksu.soa.examples.corba.Hello;
import bg.tusofia.fksu.soa.examples.corba.HelloHelper;

public class HelloClient {

	/**
	 * @param args
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception {
		ORB orb = ORB.init(args, null);
		org.omg.CORBA.Object objRef = orb
				.resolve_initial_references("NameService");
		NamingContextExt ncRef = NamingContextExtHelper.narrow(objRef);

		Hello hello = HelloHelper.narrow(ncRef.resolve_str("Hello"));

		System.out.println(hello.sayHello());
	}

}
