<schema xmlns="http://purl.oclc.org/dsdl/schematron">
	<pattern>
		<title>Movie rules</title>
		<rule context="/cinema/movie">
			<assert test="length &lt; 190">
				Movie must be longer than 2 hours
			</assert>
			<assert test="@rating &gt; 10.0">
				Movie must be higher than 8
			</assert>
			<report test="title">
				Title specified.
			</report>
		</rule>
	</pattern>
</schema>
